import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SearchInputComponent implements OnInit, OnDestroy {
    minWidth: number | null;
    maxWidth: number | null;
    searchString: string;
    debounceTime: number;
    searchStringChange: EventEmitter<string>;
    searchInputElement: ElementRef;
    private readonly search$;
    private readonly destroy$;
    ngOnInit(): void;
    clearSearchInput(): void;
    focusSearchInput(): void;
    onKeyup(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchInputComponent, "epom-search-input", never, { "minWidth": "minWidth"; "maxWidth": "maxWidth"; "searchString": "searchString"; "debounceTime": "debounceTime"; }, { "searchStringChange": "searchStringChange"; }, never, never, false>;
}
